Skip to main content

Collars/Drill holes/Point samples

Retrieve collars, drill holes and point samples, and their row references.


Get collars by project and activity​

MX Deposit API

Version: 0.1.0

Returns the collars of an activity within a project, newest first. Archived collars are not returned. Locked collars are only returned when the API-Version header is 1.15.0 or later.

Servers
https://app.mxdeposit.net

Parameters

Your credentials. Use the API key (legacy), or Bearer followed by a Bentley IMS or Seequent ID access token.

Client ID, required only when authenticating with an API key.

API version.

ID of the project.

ID of the activity.

Returns

200

OK

Identifier, a 24-character hexadecimal string.

idstring | null

Name of the collar.

status"new" | "inprogress"
state"active" | "locked"
actual_depthnumber | null
target_depthnumber | null

The user the collar is assigned to, or null when it is not assigned. Without the API-Version header the user details are returned directly. With it, they are keyed by the activity group id, or by assigned_to_whole_collar when the collar is assigned as a whole.

Identifier, a 24-character hexadecimal string.

namestring | null
initialsstring | null
colorstring | null
devicestring | null

The number and total size of the files attached to the collar. Returned directly, or keyed by table view id when the API-Version header is sent.

num_filesinteger
total_sizeinteger

Time as milliseconds since the Unix epoch.

Time as milliseconds since the Unix epoch.

Endpoint

GET
/api/v1/collars/

Request

curl -X GET 'https://app.mxdeposit.net/api/v1/collars/' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'

Response

{
"Collar": [
{
"_updated_at": 1497544973463,
"actual_depth": 121,
"status": "new",
"user": {
"5a676115ad8009223d1f110e": {
"user": "58b70e0ead800944a3aca2a9",
"device": "e2vqGlCRq2Y",
"name": "John Smith",
"initials": "JS",
"color": "#cbb9e7"
}
},
"_id": "5a6796ccad8009223df9e447",
"name": "A1_34_028",
"target_depth": 200,
"_created_at": 1516738252734
}
]
}

Get collar by id​

MX Deposit API

Version: 0.1.0

Returns a collar.

Servers
https://app.mxdeposit.net

Parameters

Your credentials. Use the API key (legacy), or Bearer followed by a Bentley IMS or Seequent ID access token.

Client ID, required only when authenticating with an API key.

API version.

ID of the collar.

Returns

200

OK

Identifier, a 24-character hexadecimal string.

idstring | null

Name of the collar.

type"point" | "drilling"
status"new" | "inprogress"
state"active" | "locked"
isvalidboolean

Identifier, a 24-character hexadecimal string.

Identifier, a 24-character hexadecimal string.

Identifier, a 24-character hexadecimal string.

The user the collar is assigned to, or null when it is not assigned. Without the API-Version header the user details are returned directly. With it, they are keyed by the activity group id, or by assigned_to_whole_collar when the collar is assigned as a whole.

Identifier, a 24-character hexadecimal string.

namestring | null
initialsstring | null
colorstring | null
devicestring | null

The header field values of the collar, keyed by header field id.

The validation errors of the header fields.

Identifier, a 24-character hexadecimal string.

Identifier, a 24-character hexadecimal string.

Identifier, a 24-character hexadecimal string.

Identifier, a 24-character hexadecimal string.

wgs84object

rowsobject[]

The number and total size of the files attached to the collar. Returned directly, or keyed by table view id when the API-Version header is sent.

num_filesinteger
total_sizeinteger
header_file_groupsobject

Name of the user who created the collar.

Identifier, a 24-character hexadecimal string.

Identifier, a 24-character hexadecimal string.

Time as milliseconds since the Unix epoch.

Time as milliseconds since the Unix epoch.

Endpoint

GET
/api/v1/collars/{collar_id}

Request

curl -X GET 'https://app.mxdeposit.net/api/v1/collars/{collar_id}' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'

Response

{
"_updated_by": "58b70e0ead800944a3aca2a9",
"assigned_user": {
"5a676115ad8009223d1f110e": {
"user": "58b70e0ead800944a3aca2a9",
"device": "e2vqGlCRq2Y",
"name": "John Smith",
"initials": "JS",
"color": "#cbb9e7"
}
},
"project": "588f8c84ac9ae4045dace173",
"hole_type_field": "560d832e8283de1328cbe20d",
"actual_depth_field": "560d832e8283de1328cbe20f",
"_created_by": "58e6355dad8009570db8187c",
"target_depth_field": "560d832e8283de1328cbe210",
"created_by": "John Smith",
"files": {
"5a6796ccad8009223df9e447": {
"num_files": 0,
"total_size": 0
}
},
"_id": "5a6796ccad8009223df9e447",
"_created_at": 1516738252734,
"errors": {
"values": [
{
"560d832e8283de1328cbe20e": [
"Hole size is required"
]
}
]
},
"status": "new",
"isvalid": true,
"header": "560d832e8283de1328cbe213",
"values": {
"561d076b8283de733fbc6213": null,
"561d076b8283de733fbc6212": null,
"560d832e8283de1328cbe210": 200,
"560d832e8283de1328cbe20d": "55a6afd8811a142eddf75285"
},
"wgs84": {},
"type": "drilling",
"activity": "584825595c14460456a37db8",
"hole_size_field": "560d832e8283de1328cbe20e",
"coordinates_table": {
"rows": []
},
"_updated_at": 1517582479345,
"header_file_groups": {},
"name": "A1_34_028"
}

List row references​

MX Deposit API

Version: 0.1.0

Returns the list of rows in the requested table view, ordered by their index. This endpoint can take an optional parameter named "after" to return the rows created and updated after a specific date and time.

Servers
https://app.mxdeposit.net

Parameters

Your credentials. Use the API key (legacy), or Bearer followed by a Bentley IMS or Seequent ID access token.

Client ID, required only when authenticating with an API key.

ID of the collar.

ID of the table view.

Epoch timestamp in milliseconds. Only the rows created or updated after this time are returned. A value that is not a number is ignored.

Set to true to include SampleName in the response.

Returns

200

OK

Identifier, a 24-character hexadecimal string.

Identifier, a 24-character hexadecimal string.

Identifier, a 24-character hexadecimal string.

Identifier, a 24-character hexadecimal string.

Identifier, a 24-character hexadecimal string.

null
childrenobject[]

Position of the row, used for ordering.

The row values, for example from and to for an interval table.

The data of the row, keyed by table id.

sampleobject | null
isvalidboolean

The validation errors of the row.

Identifier, a 24-character hexadecimal string.

Identifier, a 24-character hexadecimal string.

Time as milliseconds since the Unix epoch.

Time as milliseconds since the Unix epoch.

Identifier, a 24-character hexadecimal string.

idstring | null

Identifier, a 24-character hexadecimal string.

Identifier, a 24-character hexadecimal string.

Identifier, a 24-character hexadecimal string.

idstring | null
filestring
content_typestring
original_filenamestring
sizeinteger | null
orientationinteger

The ids of all the rows of the table view for the collar. Only returned when after is sent.

Name of the most recently created sample of the project of the collar. Only returned when sample_name is true.

Endpoint

GET
/api/v1/row-references/{collar_id}/{table_view_id}

Request

curl -X GET 'https://app.mxdeposit.net/api/v1/row-references/{collar_id}/{table_view_id}' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'

Response

{
"RowReference": [
{
"_updated_by": "58b70e0ead800944a3aca2a9",
"table_view": "55a7e40b811a142edd34093c",
"collar": "5ae20dd80a87d3818cce0bb8",
"project": "588f8c84ac9ae4045dace173",
"isvalid": true,
"parent": "5b0c2db40a87d3730c91c48a",
"data_records": {
"55a7e40b811a142edd34093c": {
"errors": {
"values": [
{}
]
},
"row_reference": "5b0c2dc60a87d3730c91c49d",
"table_view": "55a7e40b811a142edd34093c",
"values": {
"55a7e6b3811a142edd34093e": "55a7d3f7811a142edd3408d0",
"55a7e6a2811a142edd34093d": "55a7d68f811a142edd3408e5",
"55a7e6c2811a142edd34093f": "55a7d65a811a142edd3408dc"
},
"collar": "5ae20dd80a87d3818cce0bb8",
"table": "55a7e40b811a142edd34093c",
"verrors": {
"values": [
{}
]
}
}
},
"activity": "59639b2cad800905fd832cca",
"values": {
"from": 2,
"to": 3
},
"sample": null,
"children": [],
"_created_by": "58b70e0ead800944a3aca2a9",
"index": 15275248067815420,
"_updated_at": 1527526082126,
"_id": "5b0c2dc60a87d3730c91c49d",
"verrors": {
"values": [
{}
]
},
"_created_at": 1527524806903
}
],
"DataFileGroup": []
}

Was this page helpful?